Join the 70K+ other members in the Zoom Community! Login with your Zoom account credentials and start collaborating.

Join the Community

For questions about the class action settlement, please visit www.ZoomMeetingsClassAction.com

Allow list for Smart Virtual Background for Linux Follow

Starting with VDI release version 5.8.4, all of Zoom's Linux VDI plugins support the Smart Virtual Background (Smart VB) feature. This feature selects a virtual background without a green screen.

If your computer has the required hardware and software, the Smart VB feature will be enabled automatically. In addition to requiring both a new client and VDI Plugin to support this feature, there are additional libraries for the Linux operating system that are required to support the new functionality.

This article covers:

Prerequisites for the Smart VB feature allow list

Additional library requirements

If you are using a software package from a vendor such as iGel, Dell, and HP, please check with the vendor to determine if there is an update available that contains these libraries. Zoom works closely with our partners, and new releases of both the operating system and Zoom VDI Plugin may be available.

The following libraries must be added to any Linux operating system for the new functionality to work.

intel-opencl-icd_20.12.16259-1~ppa1~xenial2_amd64.deb
libigc_1.0.3586-1~ppa1~xenial1_amd64.deb
libigdgmm11_19.4.1-1~ppa1~xenial1_amd64.deb
libnuma1_2.0.11-1ubuntu1_amd64.deb
libze-loader_0.91.2-1~ppa1~xenial1_amd64.deb
libze-intel-gpu_20.12.16259-1~ppa1~xenial2_amd64.deb
Ocl-icd-libopencl1_2.2.8-1_amd64.deb

OpenCL requirements

Note: OpenCL 1.2 is not supported.

Some Thin Client models can leverage the GPU to optimize performance and reduce load on the CPU. For models where the GPU can be used, there is a requirement for Intel-OpenCL runtime to be OpenCL 2.1 or higher. The following link can be used for information about how to install the correct Intel OpenCL runtime library on a regular Linux client:

https://github.com/intel/compute-runtime/blob/master/opencl/doc/DISTRIBUTIONS.md

If an older version of OpenCL is installed or the thin client model does not support using the GPU, the Smart VB feature will use the CPU to support the functionality required.

VDI Client release requirements

Install and use the VDI Zoom desktop client, version 5.8.4.21112 or higher.

For plugins, install the appropriate Linux plugin version 5.8.4.21112 or higher.

Note: Be sure to always install a version of the VDI Zoom desktop client that is equal or greater than the Zoom VDI Plugin.

Hardware requirements

The following platforms have been tested for Smart VB functionality.

In addition to the CPUs that meet the specified system requirements, Zoom VDI Client also supports the virtual background for the following CPUs with 360p x 15FPS video for both Windows and Linux, starting from VDI 5.8.4.

ThinClient model Hardware Details Max Gallery Participants Smart VB Support
Dell 5070 Intel®️ Celeron®️ J4105 CPU @ 1.5GHz 5x5
Dell Wyse 5470 All-In-One Intel Celeron™ J4105 (4 Cores/4MB/4T/Base 1.5GHz, up to 2.5GHz/10W) 5x5
Dell 5070 Intel®️ Pentium®️ J5005 CPU @ 1.5GHz 5x5
T740 AMD Ryzen Embedded V1756B with Radeon Vega Gfx 5x5
T638 Intel(R) Celeron(R) J4125 CPU @ 2.00GHz 5x5
T540 (TBD) AMD Ryzen Embedded R1305G with Radeon Vega Gfx 5x5
T640 AMD Ryzen Embedded R5305G with Radeon Vega Gfx 5x5
MT46 AMD Ryzen 3 PRO 4450U with Radeon Graphics 5x5
MT45 AMD Ryzen 3 PRO 3300U 5x5
MT32 AMD Ryzen 3 PRO 4300U 5x5
Lenovo M715Q (Raven Rage)

 

AMD Ryzen 5 2400GE 5x5
Lenovo M715Q-1 (Picasso) AMD Ryzen 5 pro 3400GE 5x5
All-in-One LG 38CK900G AMD Ryzen 3 2200U 5x5

How to enable Smart Virtual Backgrounds for Linux

Zoom automatically enables Smart VB for the models indicated in the above table and for any client with matching capabilities. For models that do not satisfy hardware requirements, the lack of the SmartVB feature will only allow selecting a virtual background if a green screen is selected.

While Zoom has worked carefully to verify that the hardware requirements will ensure the Smart VB works as expected, it is possible to manually override the limitations imposed by the allow list to test devices that are not automatically enabled for Smart VB. Zoom does not recommend using this option to override the allow list except for testing. After testing, if your results suggest the allow list could include a model not currently supported, please contact Zoom to share your test findings.

For more information, please visit the article on how to manually override the Smart VB allow list.